#
# spec file for package kscience (Version alpha)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake autoconf qtlib qtdevel gpp libgpp ksupp klibs kbase libz gettext libgif libjpeg

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         kscience
Release:      19
Copyright:    1997,1998 The KDE-Team
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Summary:      KDE scientific tools (Alpha!)
Version:      alpha
Source0:  kscience.tar.gz
Source2:  kfourier-1.1b.tgz
Source3:  kspline-0.11.tgz
Source4:  kplot-0.2.tar.gz
%description
Alpha stage!
Some KDE packages are still in an early development stage. Thus, KDE being
relatively stable, it may nevertheless happen that any of the KDE
applications crashes or produces strange effects.
This package is especially concerned since it was built from
not yet officially released programs.
Newest KDE packages adepted to S.u.S.E. Linux may be found at
ftp://ftp.suse.com/pub/suse_update/KDE. 
General information for KDE can be found at the respective addresses
in WWW (http://www.kde.org) or our support database
(http://www.suse.de/Support/sdb). 
Some scientific tools. For example a simple fractal viewer.
Documentation in:
/usr/doc/packages/kde/kscience 

Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -n kscience -b 2 -b 3 -b 4 
%build
. variables.sh
cd ..
export PATH=.:$PATH
for FILE in `find -name "*.P"` `find -name "config.cache"` `find -name "config.status"`
do
    echo -n "Removing $FILE..."
    rm -f $FILE
    echo "Done."
done
for DIR in `find -type d`
do
    ( 
	cd $DIR 
	test -f configure && \
	    chmod u+x configure && \
	    ./configure \
		--prefix=${KDEDIR} \
		--with-qt-dir=${QTDIR} \
		--with-qt-includes=${QTDIR}/include \
		--with-qt-libraries=${QTDIR}/lib
	test -f Makefile && make 
    )
done
%install
. variables.sh
export PATH=.:$PATH
export MYDOCS=${DOCROOT}/kscience
cd ..
#
# kplot does silly things to dirs...
#
rm -fr ${KDEDIR}/share/applnk/Applications ${KDEDIR}/share/applnk/Graphics 
install -d -m 755 ${KDEDIR}/share/applnk/Applications ${KDEDIR}/share/applnk/Graphics
for DIR in `find -type d`
do
    ( cd $DIR && make install )
done
install -m 755 -d ${MYDOCS}
#
# make lib links
#
rm -f /opt/kde/lib/libkspl.so
rm -f /opt/kde/lib/libkspl.so.0 
(cd /opt/kde/lib && ln -s libkspl.so.0.0.11 libkspl.so)
(cd /opt/kde/lib && ln -s libkspl.so.0.0.11 libkspl.so.0)
#
# move kdelnk files to other
# menu hierarchy
#
cd /opt/kde/share/applnk
rm -rf Alpha
mkdir Alpha
for i in Applications Demos Graphics
do
   rm -rf Alpha/$i
   mkdir Alpha/$i
   cp -R $i/* Alpha/$i
   rm -rf $i
done
cd Alpha
cp Demos/ksplinedemo.kdelnk Graphics/ksplinedemo.kdelnk
rm -rf Demos
Check
%post 
 ldconfig
%files
%docdir /opt/kde/share/doc/HTML/de/kplot
%docdir /opt/kde/share/doc/HTML/en/kfourier
%docdir /opt/kde/share/doc/HTML/en/kplot
%docdir /usr/doc/packages/kde/kscience
/opt/kde/bin/kfourier
/opt/kde/bin/kplot
/opt/kde/bin/ksplinedemo
/opt/kde/include/kspline.h
/opt/kde/include/ksplinedlg.h
/opt/kde/include/ksplineedit.h
/opt/kde/lib/libkspl.la
/opt/kde/lib/libkspl.so
/opt/kde/lib/libkspl.so.0
/opt/kde/lib/libkspl.so.0.0.11
/opt/kde/share/applnk/Alpha/Applications/kplot.kdelnk
/opt/kde/share/applnk/Alpha/Graphics/kfourier.kdelnk
/opt/kde/share/applnk/Alpha/Graphics/ksplinedemo.kdelnk
%doc /opt/kde/share/doc/HTML/de/kplot/firststeps.html
%doc /opt/kde/share/doc/HTML/de/kplot/functions.html
%doc /opt/kde/share/doc/HTML/de/kplot/index.html
%doc /opt/kde/share/doc/HTML/de/kplot/kplot.html
%doc /opt/kde/share/doc/HTML/en/kfourier/kfourier.html
%doc /opt/kde/share/doc/HTML/en/kplot/firststeps.html
%doc /opt/kde/share/doc/HTML/en/kplot/functions.html
%doc /opt/kde/share/doc/HTML/en/kplot/index.html
%doc /opt/kde/share/doc/HTML/en/kplot/kplot.html
/opt/kde/share/icons/kfourier.xpm
/opt/kde/share/icons/ksplinedemo.xpm
/opt/kde/share/icons/mini/ksplinedemo.xpm
#/opt/kde/share/locale/de/LC_MESSAGES/kde.mo
/opt/kde/share/locale/de/LC_MESSAGES/kplot.mo

